#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k,tk=0;
    cin>>n>>k;
    int a[n];
    for(int i=1;i<n+1;i++){
        cin>>a[i];
    }
    for(int i=0;i<n+1;i++){
        if(a[i]==k && i!=n) tk=a[i+1];
        if(a[i]==k && i==n) tk=a[1];
    }
    cout<<tk;
    return 0;
}